"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.flattenAddress = exports.findById = exports.Address = void 0;
const wilayah_json_1 = require("./assets/wilayah.json");
exports.Address = {
    provinsi: wilayah_json_1.provinsi, kota: wilayah_json_1.kota, kecamatan: wilayah_json_1.kecamatan
};
function findById(type, id) {
    return exports.Address[type].filter(ad => ad.id == id)[0];
}
exports.findById = findById;
const flattenAddress = () => {
    return exports.Address.kecamatan.map(k => {
        const kabkotLabel = wilayah_json_1.kota.filter(kt => kt.id == k.kota_id)[0];
        const provinsiLabel = wilayah_json_1.provinsi.filter(pro => pro.id == k.provinsi_id)[0];
        return {
            provinsi: provinsiLabel.name,
            kota: kabkotLabel.name,
            kecamatan: k.name,
            postal_code: k.postal_code,
            label: `${k.name}, ${kabkotLabel.name}, ${provinsiLabel.name}, ${k.postal_code}`,
            id: k.id
        };
    });
};
exports.flattenAddress = flattenAddress;
